Submit adyen card setup payment
curl --request POST \
--url https://api.prod.finverse.net/payment_link/fvlink/adyen/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.prod.finverse.net/payment_link/fvlink/adyen/payments"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.prod.finverse.net/payment_link/fvlink/adyen/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}Payment links
Submit adyen card setup payment
Submit Adyen card setup payment (proxy to Adyen /payments with Drop-in state.data from onSubmit)
POST
/
payment_link
/
fvlink
/
adyen
/
payments
Submit adyen card setup payment
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Full Drop-in state.data from onSubmit
Raw Drop-in state.data from onSubmit or onAdditionalDetails; forwarded as-is to the Adyen integration service
Response
Adyen /payments response
Raw Adyen /payments or /payments/details JSON response; passed directly to Drop-in actions.resolve()